/*
 * This file is part of the Track+ application, a
 * tool for project and change management.
 *
 * Copyright (C) 2014 Steinbeis GmbH & Co. KG
 *
 * Use and distribution of this software is governed by the
 * Track+ license conditions.
 *
 * $Id: AllSamples.cs 1465 2015-10-01 11:56:46Z friedric $
 */
using System;
using System.Collections.Generic;
using System.Text;
using log4net;
using log4net.Config;

namespace com.trackplus.track.ws
{
    public class AllSamples
    {
        private static readonly ILog log = LogManager.GetLogger(typeof(AllSamples));

        public static void Main(String[] args)
        {
          
            XmlConfigurator.Configure();

            log.Info("Starting");

            log.Debug("Debugging");
            Boolean goodArgument = false;
            if (args == null || args.Length == 0)
            {
                printHelp();
                return;
            }
            if (args[0].Equals("all"))
            {
                LoginSample.runLoginSample(args);
                BaseOptionSample.runBaseOptionSample(args);
                ItemSample.runItemSample(args);
                QuerySample.runQuerySample(args);
                FormSample.runFormSample(args);
                AttachmentSample.runAttachmentSample(args);
                goodArgument = true;
            }
            if (args[0].Equals("LoginSample"))
            {
                LoginSample.runLoginSample(args);
                goodArgument = true;
            }
            if (args[0].Equals("BaseOptionSample"))
            {
                BaseOptionSample.runBaseOptionSample(args);
                goodArgument = true;
            }
            if (args[0].Equals("ItemSample"))
            {
                ItemSample.runItemSample(args);
                goodArgument = true;
            }

            if (args[0].Equals("ItemLinkSample"))
            {
                ItemLinkSample.runItemLinkSample(args);
                goodArgument = true;
            }

            if (args[0].Equals("RoleSample"))
            {
                RoleSample.runRoleSample(args);
                goodArgument = true;
            }

            if (args[0].Equals("GroupSample"))
            {
                GroupSample.runGroupSample(args);
                goodArgument = true;
            }

            if (args[0].Equals("ListSample"))
            {
                ListSample.runListSample(args);
                goodArgument = true;
            }

            if (args[0].Equals("PersonSample"))
            {
                PersonSample.runPersonSample(args);
                goodArgument = true;
            }

            if (args[0].Equals("ProjectSample"))
            {
                ProjectSample.runProjectSample(args);
                goodArgument = true;
            }

            if (args[0].Equals("QuerySample"))
            {
                QuerySample.runQuerySample(args);
                goodArgument = true;
            }
            if (args[0].Equals("FormSample"))
            {
                FormSample.runFormSample(args);
                goodArgument = true;
            }
            if (args[0].Equals("AttachmentSample"))
            {
                AttachmentSample.runAttachmentSample(args);
                goodArgument = true;
            }
            if (goodArgument.Equals(false))
            {
                printHelp();
            }
            else
            {
                Console.WriteLine("Press Enter to continue...");
                Console.ReadLine();
            }
        }

        public static void printHelp()
        {
            Console.WriteLine("Usage: ");
            Console.WriteLine("");

            Console.WriteLine("\"all\"              -> run all samples");
            Console.WriteLine("\"LoginSample\"      -> run LoginSample samples");
            Console.WriteLine("\"BaseOptionSample\" -> run BaseOptionSample samples");
            Console.WriteLine("\"ItemSample\"       -> run ItemSample samples");
            Console.WriteLine("\"QuerySample\"      -> run QuerySample samples");
            Console.WriteLine("\"FormSample\"       -> run FormSample samples");
            Console.WriteLine("\"AttachmentSample\" -> run AttachmentSample samples");

            Console.WriteLine("");
            Console.WriteLine("Press Enter to continue...");
            Console.ReadLine();
            return;
        }
    }
}
